body{
    margin-top: 20px;
}
a:link {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:visited {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:hover {
    color: red;
    background-color: transparent;
    text-decoration: underline;
}
.shop{
    font-size: 200%;  
}
header{
    text-align: center;
}
.men-t-shirts img{
    margin-top: 3%;
    width: 100%;
    height:auto;
}
.line{
    border: 1px black groove;
}
.size{
    display: flex;
}
.size p{
    width: 30%;
}
.size select{
    width:70%;
    background-color: transparent;
    text-decoration: none;
    border: none;
}
.quantity{
    display: flex;
}
.quantity p{
    width: 30%;
}
.quantity select{
    width:70%;
    background-color: transparent;
    text-decoration: none;
    border: none;
}
@media only screen and (min-width:1201px)
{
    .shop-details{
        margin:50px 35% 70px;
    }
    header{
        text-align: center;
        font-size:80%;
    }
    section{
        font-size:100%;
    }
    .t-shirts img{
        width: 100%;
        height: auto;
    }
    .grid{
        margin-left:20%;
        margin-right: 25%;
        display: grid;
        grid-template-columns: 50% 40%;
        grid-column-gap: 30px;
        margin-top: 5%;
    }
    .addtocart{
        margin: 20px;
        width: 150px;
        height: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 90%;
        border: 2px black solid;
    }
    .shop-details{
        display: grid;
        grid-template-columns:1fr 1fr 1fr 1fr;
    }
}
@media only screen and (max-width:1200px) 
{
    @media only screen and (min-width:651px)
    {
        .shop-details{
            margin:50px 15% 70px;
        }
        header{
            text-align: center;
            font-size:80%;
        }
        section{
            font-size:100%;
        }
        .t-shirts img{
            width: 100%;
            height: auto;
        }
        .grid{
            display: grid;
            grid-template-columns: 50% 40%;
            grid-column-gap: 30px;
            margin-top: 5%;
        }
        .addtocart{
            display: flex;
            margin: 20px;
            width: 125px;
            /*justify-content: center;*/
            font-size: 90%;
            border: 2px black solid;
        }
        .shop-details{
            display: grid;
            grid-template-columns:1fr 1fr 1fr 1fr;
        }
    }
}
@media only screen and (max-width:650px)
{
    .shop-details{
        margin:50px 1% 50px;
    }
    header{
        text-align: center;
        font-size:70%;
    }
    section{
        font-size:80%;
    }
    .t-shirts img{
        width: 100%;
        height: auto;
    }
    .grid{
        display: grid;
        margin-top: 5%;
        margin-bottom: 20%;
    }
    .addtocart{
        position: fixed;
        bottom: 0px;
        width: 94%;
        padding: 3%;
        text-align: center;
        background-color:midnightblue;
        
    }
    .addtocart b{
        color: white;
        font-size: 100%;
    }
    .shop-details{
        display: none;
    }
    
}